public class GarbageTest {
  final static int K = 100;
  final static int N = 400000;
 
  public static void main(String[] args) {
    GarbageTest g = new GarbageTest();
    for (int k = 0; k < K; k++) {
      g.test();
    }
  }

  public TestObject last = null;

  public void test() {
    long start = System.nanoTime();
    createObjects();
    long end = System.nanoTime();
    double diff = end-start;
    System.out.println(diff/1e9f);
  }

  public void createObjects() {
    for (int i = 0; i < N; i++) {
      last = new TestObject(last);
    }
  }

  public class TestObject {
    public TestObject previous;

    public TestObject(TestObject p) { 
      previous = p;
    }  
  }
}
